Skip to main content
GET
Get a list of all mails sent by receivable

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

x-finops-version
string<date>
required
authorization
string
x-organization-id
string<uuid>
required

The ID of the entity that owns the requested resource.

Example:

"9d2b4c8f-2087-4738-ba91-7359683c49a4"

Path Parameters

receivable_id
string<uuid>
required

Query Parameters

order
enum<string>
default:asc

Sort order (ascending by default). Typically used together with the sort parameter.

Available options:
asc,
desc
limit
integer
default:100

The number of items (0 .. 100) to return in a single page of the response. The response may contain fewer items if it is the last or only page.

Required range: 1 <= x <= 100
pagination_token
string

A pagination token obtained from a previous call to this endpoint. Use it to get the next or previous page of results for your initial query. If pagination_token is specified, all other query parameters are ignored and inferred from the initial query.

If not specified, the first page of results will be returned.

sort
enum<string>

The field to sort the results by. Typically used together with the order parameter.

Available options:
status,
created_at,
updated_at
status
enum<string>
Available options:
pending,
processing,
sent,
partially_sent,
failed
status__in
enum<string>[]
Available options:
pending,
processing,
sent,
partially_sent,
failed
created_at__gt
string<date-time>
created_at__lt
string<date-time>
created_at__gte
string<date-time>
created_at__lte
string<date-time>

Response

Successful Response

data
object[]
required
next_pagination_token
string

A token that can be sent in the pagination_token query parameter to get the next page of results, or null if there is no next page (i.e. you've reached the last page).

prev_pagination_token
string

A token that can be sent in the pagination_token query parameter to get the previous page of results, or null if there is no previous page (i.e. you've reached the first page).